﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using AZ.Entity;

namespace AZ.BL
{
    /// <summary>
    /// Summary description for BLPerson
    /// </summary>
    [System.ComponentModel.DataObject]
    public class BLPerson
    {
        public static IEnumerable<Person> GetPersons()
        {
            PersonCollection pc = new PersonCollection();
            return pc.GetPersons;
        }
        [System.ComponentModel.DataObjectMethod(System.ComponentModel.DataObjectMethodType.Select)]
        public static IEnumerable<Person> GetPersons(int maximumRows, int startRowIndex)
        {
            PersonCollection pc = new PersonCollection();
            return pc.GetPersons.Skip(startRowIndex).Take(maximumRows);
        }
        public int PersonsCount()
        {
            PersonCollection pc = new PersonCollection();
            return pc.GetPersons.Count();
        }
    }
}