﻿<%@ Page Language="C#" EnableViewState="false" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" namespace="System.Web.UI.WebControls" tagprefix="asp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Populating webcontrol with Linq part 1</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>Example n. 1</h1>
        <h2>Populating generic webcontrol with Linq</h2>    

    <h4>Populanting with datacontext and linqdatasource</h4>
    <asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="LinqDataSource2" 
            DataTextField="name" DataValueField="id">
    </asp:DropDownList>

    <asp:LinqDataSource ID="LinqDataSource1" runat="server" 
        ContextTypeName="DataClassesDataContext" OrderBy="name" Select="new (id, name)" 
        TableName="examples">
    </asp:LinqDataSource>

    <h4>Populating with personal collection and linqdatasource</h4>
    <asp:RadioButtonList ID="RadioButtonList1" runat="server" 
        DataSourceID="LinqDataSource2" DataTextField="Name" DataValueField="Id">
    </asp:RadioButtonList>
    <asp:LinqDataSource ID="LinqDataSource2" runat="server" 
        ContextTypeName="AZ.Entity.PersonCollection" OrderBy="Name" 
        Select="new (Id, Name)" TableName="GetPersons">
    </asp:LinqDataSource>

    <h4>Populating with anonymous type and linqdatasource</h4>
    <asp:CheckBoxList ID="CheckBoxList1" runat="server" 
        DataSourceID="LinqDataSource3" DataTextField="NameComplete" DataValueField="Id">
    </asp:CheckBoxList>
    <asp:LinqDataSource ID="LinqDataSource3" runat="server" 
        ContextTypeName="AZ.Entity.PersonCollection" TableName="GetPersonComplete">
    </asp:LinqDataSource>
    </div>
    <div>
        <a href="Default2.aspx">Example n. 2</a>
    </div>
</form>
</body>
</html>
