﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default3.aspx.cs" Inherits="Default3" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Populating webcontrol with Linq part 3</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>Example n. 3</h1>
        <h2>Populating ListView with Linq and paging in URL</h2>      
        <br />
        <asp:ListView ID="ListView1" runat="server" DataSourceID="LinqDataSource1">
            <LayoutTemplate>
                <ul>
                    <asp:PlaceHolder ID="itemPlaceholder" runat="server" />
                </ul>
            </LayoutTemplate>
            <ItemTemplate>
                <li><%# Eval("name") %> <%# Eval("surname") %> (<%# Eval("age") %>)</li>
            </ItemTemplate>
            <AlternatingItemTemplate>
                <li><b><%# Eval("name") %> <%# Eval("surname") %> (<%# Eval("age") %>)</b></li>
            </AlternatingItemTemplate>
            <ItemSeparatorTemplate>
                <hr />
            </ItemSeparatorTemplate>
            <EmptyDataTemplate>
                <div>
                    <b>Nothing to view!</b>
                </div>
            </EmptyDataTemplate>
        </asp:ListView>
        <asp:LinqDataSource ID="LinqDataSource1" runat="server" 
            ContextTypeName="DataClassesDataContext" OrderBy="id" 
            Select="new (id, name, surname, age)" TableName="examples">
        </asp:LinqDataSource>
        <div>
            <asp:DataPager id="dp" runat="server" PagedControlID="ListView1"
                PageSize="4" QueryStringField="pag">
                <Fields>
                    <asp:NumericPagerField />
                </Fields>
            </asp:DataPager>
        </div>
        <div>
            <a href="Default4.aspx">Example n. 4</a>
        </div>
    </div>
    </form>
</body>
</html>
