﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default6.aspx.cs" Inherits="Default6" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Populating webcontrol with Linq part 6</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>Example n. 6</h1>
        <h2>Populating ListView with Linq and sorting</h2>
        <br />
        <asp:ListView ID="ListView1" runat="server" DataSourceID="LinqDataSource1">
            <LayoutTemplate>
                <table border="1px">
                    <tr>
                        <td><asp:LinkButton ID="lb_sortname" runat="server" Text="Name" CommandName="sort" CommandArgument="name" /></td>
                        <td><asp:LinkButton ID="lb_sortsurname" runat="server" Text="Surname" CommandName="sort" CommandArgument="surname" /></td>
                        <td><asp:LinkButton ID="lb_sortage" runat="server" Text="Age" CommandName="sort" CommandArgument="age" /></td>
                    </tr>
                    <asp:PlaceHolder ID="itemPlaceholder" runat="server" />
                </table>
            </LayoutTemplate>
            <ItemTemplate>
                <tr>
                    <td><%# Eval("name") %></td>
                    <td><%# Eval("surname") %></td>
                    <td><%# Eval("age") %></td>
                </tr>
            </ItemTemplate>
            <EmptyDataTemplate>
                <div>
                    <b>Nothing to view!</b>
                </div>
            </EmptyDataTemplate>
        </asp:ListView>
        <asp:LinqDataSource ID="LinqDataSource1" runat="server" 
            ContextTypeName="DataClassesDataContext" OrderBy="id" 
            Select="new (id, name, surname, age)" TableName="examples">
        </asp:LinqDataSource>
        <div>
            <a href="Default7.aspx">Example n. 7</a>
        </div>
    </div>
    </form>
</body>
</html>
