﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default7.aspx.cs" Inherits="Default7" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Populating webcontrol with Linq part 7</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>Example n. 7</h1>
        <h2>Populating ListView with Linq and inserting/editing</h2>
        <br />
        <asp:ListView ID="ListView1" runat="server" DataSourceID="LinqDataSource1" 
            DataKeyNames="id" InsertItemPosition="LastItem">
            <LayoutTemplate>
                <table border="1px">
                    <tr>
                        <td>&nbsp;</td>
                        <td>Name</td>
                        <td>Surname</td>
                        <td>Age</td>
                    </tr>
                    <asp:PlaceHolder ID="itemPlaceholder" runat="server" />
                </table>
            </LayoutTemplate>
            <ItemTemplate>
                <tr>
                    <td><asp:LinkButton ID="bt_select" CommandName="select" Text="Select" runat="server" /></td>
                    <td><%# Eval("name") %></td>
                    <td><%# Eval("surname") %></td>
                    <td><%# Eval("age") %></td>
                </tr>
            </ItemTemplate>
            <SelectedItemTemplate>
                <tr>
                    <td><asp:LinkButton ID="bt_edit" CommandName="edit" Text="Edit" runat="server" /></td>
                    <td><b><%# Eval("name") %></b></td>
                    <td><b><%# Eval("surname") %></b></td>
                    <td><b><%# Eval("age") %></b></td>
                </tr>
            </SelectedItemTemplate>
            <EditItemTemplate>
                <tr>
                    <td>
                        <asp:LinkButton ID="bt_update" CommandName="update" Text="Update" runat="server" />
                        <asp:LinkButton ID="bt_delete" OnClientClick="return confirm('Are you sure?');" CommandName="delete" Text="Delete" runat="server" />
                        <asp:LinkButton ID="bt_cancel" CommandName="cancel" Text="Cancel" runat="server" />
                    </td>
                    <td><asp:textbox width="70px" ID="tx_name" runat="server" Text='<%# Bind("name") %>' /></td>
                    <td><asp:textbox width="70px" ID="tx_surname" runat="server" Text='<%# Bind("surname") %>' /></td>
                    <td><asp:textbox width="70px" ID="tx_age" runat="server" Text='<%# Bind("age") %>' /></td>
                </tr>
            </EditItemTemplate>
            <InsertItemTemplate>
                <tr>
                    <td>
                        <asp:LinkButton ID="bt_insert" CommandName="insert" Text="Insert" runat="server" />
                    </td>
                    <td><asp:textbox width="70px" ID="tx_name" runat="server" Text='<%# Bind("name") %>' /></td>
                    <td><asp:textbox width="70px" ID="tx_surname" runat="server" Text='<%# Bind("surname") %>' /></td>
                    <td><asp:textbox width="70px" ID="tx_age" runat="server" Text='<%# Bind("age") %>' /></td>
                </tr>
            </InsertItemTemplate>
            <EmptyDataTemplate>
                <div>
                    <b>Nothing to view!</b>
                </div>
            </EmptyDataTemplate>
        </asp:ListView>
        <asp:LinqDataSource ID="LinqDataSource1" runat="server" 
            ContextTypeName="DataClassesDataContext" OrderBy="id" 
            TableName="examples" 
            EnableDelete="True" EnableUpdate="True" EnableInsert="True">
        </asp:LinqDataSource>
        <div>
            <a href="Default8.aspx">Example n. 8</a>
        </div>
    </div>
    </form>
</body>
</html>
