﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default8.aspx.cs" Inherits="Default8" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Populating webcontrol with Linq part 8</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>Example n. 8</h1>
        <h2>Populating ListView/DataPager with ObjectDataSource</h2>
        <br />
        <asp:ListView ID="lv" runat="server" DataSourceID="ObjectDataSource1">
            <LayoutTemplate>
                <table runat="server">
                    <tr runat="server">
                        <td runat="server">
                            <table ID="itemPlaceholderContainer" runat="server" border="0" style="">
                                <tr runat="server" style="">
                                    <th runat="server">
                                        Id</th>
                                    <th runat="server">
                                        Name</th>
                                    <th runat="server">
                                        Surname</th>
                                </tr>
                                <tr ID="itemPlaceholder" runat="server">
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr runat="server">
                        <td runat="server" style="">
                        </td>
                    </tr>
                </table>
            </LayoutTemplate>
            <EmptyDataTemplate>
                <table runat="server" style="">
                    <tr>
                        <td>
                            No data was returned.</td>
                    </tr>
                </table>
            </EmptyDataTemplate>
            <ItemTemplate>
                <tr style="">
                    <td>
                        <asp:Label ID="IdLabel" runat="server" Text='<%# Eval("Id") %>' />
                    </td>
                    <td>
                        <asp:Label ID="NameLabel" runat="server" Text='<%# Eval("Name") %>' />
                    </td>
                    <td>
                        <asp:Label ID="SurnameLabel" runat="server" Text='<%# Eval("Surname") %>' />
                    </td>
                </tr>
            </ItemTemplate>
        </asp:ListView>
        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
            SelectMethod="GetPersons" TypeName="AZ.BL.BLPerson" EnablePaging="True" 
            SelectCountMethod="PersonsCount"></asp:ObjectDataSource>
        <asp:DataPager ID="DataPager2" runat="server" PagedControlID="lv" PageSize="3" 
            QueryStringField="pag">
            <Fields>
                <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" 
                    ShowLastPageButton="True" />
            </Fields>
        </asp:DataPager>
        <div>
            <a href="Default9.aspx">Example n. 9</a>
        </div>
    </div>
    </form>
</body>
</html>
