﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default9.aspx.cs" Inherits="Default9" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Populating webcontrol with Linq part 9</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>Example n. 9</h1>
        <h2>Populating ListView with Linq with total row</h2>
        <br />
        <asp:ListView ID="ListView1" runat="server" DataSourceID="LinqDataSource1" 
            ondatabound="ListView1_DataBound" 
            onitemdatabound="ListView1_ItemDataBound">
            <LayoutTemplate>
                <table border="1px">
                    <tr>
                        <td>Name</td>
                        <td>Surname</td>
                        <td>Age</td>
                    </tr>
                    <asp:PlaceHolder ID="itemPlaceholder" runat="server" />
                    <tr>
                        <td colspan="2">Total Age:</td>
                        <td><asp:Label ID="msg" runat="server" /></td>
                    </tr>
                </table>
            </LayoutTemplate>
            <ItemTemplate>
                <tr>
                    <td><%# Eval("name") %></td>
                    <td><%# Eval("surname") %></td>
                    <td><asp:Label ID="subtot" runat="server" Text='<%# Eval("age") %>' /></td>
                </tr>
            </ItemTemplate>
            <EmptyDataTemplate>
                <div>
                    <b>Nothing to view!</b>
                </div>
            </EmptyDataTemplate>
        </asp:ListView>
        <asp:LinqDataSource ID="LinqDataSource1" runat="server" 
            ContextTypeName="DataClassesDataContext" OrderBy="id" 
            Select="new (id, name, surname, age)" TableName="examples">
        </asp:LinqDataSource>
    </div>
    </form>
</body>
</html>
