﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default5.aspx.cs" Inherits="Default5" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Populating webcontrol with Linq part 5</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>Example n. 5</h1>
        <h2>Populating ListView with Linq and group</h2>
        <br />
        <asp:ListView ID="ListView1" runat="server" DataSourceID="LinqDataSource1"
         GroupItemCount="3" GroupPlaceholderID="groupItemHolder">
            <LayoutTemplate>
                <table border="1px">
                    <asp:PlaceHolder ID="groupItemHolder" runat="server" />
                </table>
            </LayoutTemplate>
            <GroupTemplate>
                <tr>
                    <asp:PlaceHolder runat="server" ID="itemPlaceholder"></asp:PlaceHolder>
                </tr>
            </GroupTemplate>
            <ItemTemplate>
                <td>Name: <%# Eval("name") %><br />Surname: <%# Eval("surname") %><br />Age: <%# Eval("age") %></td>
            </ItemTemplate>
            <EmptyDataTemplate>
                <div>
                    <b>Nothing to view!</b>
                </div>
            </EmptyDataTemplate>
        </asp:ListView>
        <asp:LinqDataSource ID="LinqDataSource1" runat="server" 
            ContextTypeName="DataClassesDataContext" OrderBy="id" 
            Select="new (id, name, surname, age)" TableName="examples">
        </asp:LinqDataSource>
        <div>
            <a href="Default6.aspx">Example n. 6</a>
        </div>
    </div>
    </form>
</body>
</html>
